package org.etsi.mts.tdl.constraints.evl;

import java.util.List;

import org.eclipse.epsilon.eol.exceptions.EolRuntimeException;
import org.eclipse.epsilon.eol.types.AbstractToolNativeTypeDelegate;

public class XtextBridgeNativeTypeDelegate extends AbstractToolNativeTypeDelegate{
	

	public XtextBridgeNativeTypeDelegate() {
	}
	
	public Object createInstance(String clazz, List<Object> parameters) throws EolRuntimeException {
		return new XtextBridge() {
		};
	}

	public boolean knowsAbout(String clazz) {
		if (clazz.equals("org.etsi.mts.tdl.constraints.evl.XtextBridge"))
                    return true;
                return false;
	}

}